import java.awt.*;
import java.awt.event.*;

/** Etykieta posiadajca funkcj zamiany kolorw ta i 
 *  pierwszego planu przy naciniciu przycisku myszy.
 *
 * Kody zaczerpniete z polskiej edycji        *
 * ksiazki Serwisy internetowe. Programowanie *
 * Wydawnictwo Helion, Gliwice,               *
 * ftp://ftp.helion.pl/przyklady/serinp.zip   *
 * &copy; 2001 Marty Hall and Larry Brown;    *
 */
 
public class OdwracalnaEtykieta extends Label {
  public OdwracalnaEtykieta(String tekst,
                         Color kolorTla, Color kolorPierwszegoPlanu) {
    super(tekst);
    MouseAdapter odwracanie = new MouseAdapter() {
      public void mouseEntered(MouseEvent zdarzenie) {
        odwrocenieKolorow();
      }

      public void mouseExited(MouseEvent zdarzenie) {
        odwrocenieKolorow(); // lub mouseEntered(zdarzenie);
      }
    };
    addMouseListener(odwracanie);
    setText(tekst);
    setBackground(kolorTla);
    setForeground(kolorPierwszegoPlanu);
  }

  protected void odwrocenieKolorow() {
    Color kpp = getForeground();
    Color kt = getBackground();
    setForeground(kt);
    setBackground(kpp);
  }
}