import javax.swing.*;
import javax.swing.table.*;

/** Tabela JTable wykorzystujaca NiestandardowyModelTabeli aby poprawnie 
 *  wywietla komrki zawierajce obrazki i wartoci logiczne. 
 *
 *  Kody zaczerpniete z polskiej edycji
 *  ksiazki Serwisy internetowe. Programowanie
 *  Wydawnictwo Helion, Gliwice,
 *  ftp://ftp.helion.pl/przyklady/serinp.zip
 *  &copy; 2001 Marty Hall and Larry Brown;
 */

public class PrzykladNiestandardowejTabeli extends PrzykladDomyslnejTabeli {
  
  public PrzykladNiestandardowejTabeli() {
    super(new NiestandardowyModelTabeli());
    ustawRomiaryKomorek();
  }
    
  private void ustawRomiaryKomorek() {
    setRowHeight(50);
    getColumn("Flaga").setMaxWidth(55);
    getColumn("Miasto").setPreferredWidth(60);
    getColumn("Pastwo").setMinWidth(80);
    getColumn("Komentarz").setMinWidth(150);
    // Trzeba wywoa aby zmieni romiar kolumn w oknie (z powodu bdu).
    sizeColumnsToFit(JTable.AUTO_RESIZE_OFF);
  }
  
  public static void main(String[] args) {
    NarzedziaOkienkowe.ustawWygladSystemowy();
    NarzedziaOkienkowe.otworzWJFrame(
       new JScrollPane(new PrzykladNiestandardowejTabeli()), 525, 255, 
                       "Stosowanie niestandardowego modelu tabeli");
  }
}