import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;

/** Faktyczna implementacja interfejsu ZdalnaCalka.
 *
 *  Kody zaczerpniete z polskiej edycji
 *  ksiazki Serwisy internetowe. Programowanie
 *  Wydawnictwo Helion, Gliwice,
 *  ftp://ftp.helion.pl/przyklady/serinp.zip
 *  &copy; 2001 Marty Hall and Larry Brown;
 */

public class ZdalnaCalkaImpl extends UnicastRemoteObject
                                implements ZdalnaCalka {
         
  /** Konstruktor much wyrzuca RemoteException. */
         
  public ZdalnaCalkaImpl() throws RemoteException {}

  /** Zwraca sum wartoci f(x) w punktach od x=start do x=stop, 
   *  gdzie funkcja f jest okrelana przez metod oblicz obiektu  
   *  Wyliczalny.
   */
         
  public double zsumuj(double start, double stop, double rozmiarKroku,
                       Wyliczalny objWylicz) {
    return(Calka.zsumuj(start, stop, rozmiarKroku, objWylicz));
  }
         
 /** Zwraca przyblion warto caki f(x) w granicach od
   *  start do stop, obliczon za pomoc metody prostoktw. 
   *  Funkcja f jest definiowana przez metod oblicz 
   *  obiektu Wyliczalny.
   * @see #zsumuj
   */
  
  public double calkuj(double start, double stop, int liczbaKrokow, 
                       Wyliczalny objWylicz) {
    return(Calka.calkuj(start, stop, liczbaKrokow, objWylicz));
  }
}