import java.awt.*;
import java.awt.geom.*;
import javax.swing.*;

/** Okno z wypisanym tekstem. Czcionka ustawiana jest 
 *  przy uzyciu metody ustawNazweCzcionki. 
 *  <P>
 * Kody zaczerpniete z polskiej edycji        
 * ksiazki Serwisy internetowe. Programowanie 
 * Wydawnictwo Helion, Gliwice,               
 * ftp://ftp.helion.pl/przyklady/serinp.zip   
 * 2001 Marty Hall and Larry Brown;
 */

class DrawingPanel extends JPanel {
  private Ellipse2D.Double kolo =
    new Ellipse2D.Double(10, 10, 350, 350);
  private GradientPaint gradient =
    new GradientPaint(0, 0, Color.red, 180, 180, Color.yellow,
                      true); // warto true oznacza powtarzanie wzorca
  private Color[] kolory = { Color.white, Color.black };
  
  public void paintComponent(Graphics g) {
    super.paintComponent(g);
    Graphics2D g2d = (Graphics2D)g;
    g2d.setPaint(gradient);
    g2d.fill(kolo);
    g2d.translate(185, 185);
    for (int i=0; i<16; i++) {
      g2d.rotate(Math.PI/8.0);
      g2d.setPaint(kolory[i%2]);
      g2d.drawString("jsp:plugin", 0, 0);
    }
  }

  public void ustawNazweCzcionki(String fontName) {
    setFont(new Font(fontName, Font.BOLD, 35));
  }
}
