
/** mala klasa okreslajaca sposob tworzenia ciagu 
 *  przeszukiwania wykorzystywaneg w przypadku okreslonej wyszukiwarki.
 *  <P>
 * Kody zaczerpniete z polskiej edycji        
 * ksiazki Serwisy internetowe. Programowanie 
 * Wydawnictwo Helion, Gliwice,               
 * ftp://ftp.helion.pl/przyklady/serinp.zip   
 * 2001 Marty Hall and Larry Brown;    
 */

public class SearchSpec {
  private String nazwa, adresURL, znacznikLiczbyWynikow;

  private static SearchSpec[] glowneAdresy =
    { new SearchSpec("google",
                     "http://www.google.com/search?q=",
                     "&num="),
      new SearchSpec("infoseek",
                     "http://infoseek.go.com/Titles?qt=",
                     "&nh="),
      new SearchSpec("lycos",
                     "http://lycospro.lycos.com/cgi-bin/" +
                        "pursuit?query=",
                     "&maxhits="),
      new SearchSpec("hotbot",
                     "http://www.hotbot.com/?MT=",
                     "&DC=")
    };

  public SearchSpec(String nazwa,
                    String adresURL,
                    String znacznikLiczbyWynikow) {
    this.nazwa = nazwa;
    this.adresURL = adresURL;
    this.znacznikLiczbyWynikow = znacznikLiczbyWynikow;
  }

  public String utworzAdresURL(String searchString,
                        String liczbaWynikow) {
    return(adresURL + searchString +
           znacznikLiczbyWynikow + liczbaWynikow);
  }

  public String pobierzNazwe() {
    return(nazwa);
  }

  public static SearchSpec[] pobierzGlowneAdresy() {
    return(glowneAdresy);
  }
}
